有升级了macOS Mojave的朋友吗?Emacs还能不能正常使用了?


#1

有人忍不住先升了吗?Emacs没问题的话晚上我也准备升级了。


#2

正在升级…遇到新版本肯定是忍不住的


#3

早上 6 点起来升级的,可以用


#4

已经升完了,暂时没有遇到问题。


#5

2011 Early 的老爷机,非视网膜屏幕,最想回到 Mavericks,扁平化之后的红绿灯按钮越看越刺眼+发虚。


#6

不如装Linux再战几年


#7

可以用,就是 git-gutter-plus 提示 Error callling git diff:,只好换成 diff-hl


#8

Emacs 没有问题,目前发现一点就是外接显示器字体有些发虚,是 Mojave 默认把抗锯齿关掉了,可参考下面命令解决:

defaults write -g CGFontRenderingFontSmoothingDisabled -bool NO

注销然后重新登录就好了。

参考:https://www.macx.cn/forum.php?mod=viewthread&tid=2216957


#9

升级Mojave后Emacs显示空白(空黑?doom-one)界面。已经无法正常使用。试过了emacs-mac, emacs-plus, emacs --with-cocoa, 全部挂掉。不知道什么原因。如果你的emacs还好用,最好不要reinstall。Terminal 下可以正常使用。但是好像doom-emacs 对terminal 支持不是很好还是怎么着,完全不load。spacemacs 貌似没事儿。


找到有人跟我一个症状



#10

emacsformac可以正常使用 brew的GNU Emacs官方版可用(其实和emacsformacosx是一个东西)


#11

OK, 问题解决了。解决方法是直接从emacsformacosx下载按转包。而不是brew install. 可能因为brew是26.1版本,emacsformacosx 是 26.1-2。我也不确定,反正能用了。


#12

苹果系统最好等3个月再考虑是否升级.

坑太多...


#13

谢谢大家,我也是emacsformacosx网站上下载的二进制包直接装的,看起来可以升了。


#14

相同问题,我是前天晚上升的,本来用的vanilla emacs版,昨天折腾了一天,试了emacs几个不同版本,EmacsforMacOX是没有问题,其他几个mac port,vanilla emacs都打不开GUI,只能在terminal里用。在Mojave beta版本时,似乎已经出现了这个问题,https://github.com/railwaycat/homebrew-emacsmacport/issues/141 其实昨天还google不到emacs failed initialized color …相关的问题,出现这个color list错误的都是ios, swift相关的,这个应该是Mojave的锅了。


#15

vanilla emacs版和gnu版本有啥区别


#16

出问题的是不是在新系统里重新编译emacs了? 能否正常运行好像跟编译所在的系统版本关系很大. EmacsforMacOX好像一直都是在比较老的macos版本里编译的.


#17

vanilla 就是 gnu 啊


#18

我是重新编译了。。


#19

可能是……%……


#20

感觉emacs-mac在Mojave问题不小,旧版本完全不能用了,作者新更新了一个版本,但怎么觉得字体渲染有问题呢,又细又虚。。